<?php
//error_reporting(E_ALL);
//ini_set('display_errors',1);

require "racs.php";
require "fgstyles.php";
session_start();

if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");}
?>
<html>
<title>Undlv-Print</title>
<head>

<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>
<link rel="stylesheet" type="text/css" href="vtxstyles.css">

<script>
function scopys(pr)
{
var dts=document.getElementById("dt");
var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;
for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
svl=dt.rows[cnt].cells[2].innerText.toLowerCase();

if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0 || svl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}
}
</script>
</head>
<body style='font-family:calibri;font-size:small;'>

<?php

if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\nContanct Sales and Marketing division</div>");
}
else{

$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");
//mysql_select_db("primarysales_dianaold",$conn);


if(isset($_REQUEST['starts'])){
echo "starts ok";	
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($subregions)){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

if(isset($_REQUEST['stores'])){
$stores=$_REQUEST['stores'];}
else{
$stores='all';    
}

#$flt=racs(1);

if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}
if(strtolower($stores)!='all'){
$flt=$flt." and stores_names='".$stores."' ";}

$flt=racs(1);

stps(1);

printf("<div style='position:absolute;left:1%%;top:5%%;width:15%%;'>");

stksnew(1);//prshows('pr','zone','gobs','sales','Periodic sales',$zones,$regions,$agents,$agenttypes,$terrys,$ranges,$subranges,$items);

printf("</div>");

printf("<div style='position:absolute;left:15%%;top:5%%;width:80%%;'>");

printf("<div style='font-size:18;font-weight:bold;color:#3498DB;'>Undelivery note summary</div>");


printf("<form method='post' action='undlvdetprint.php'>");
printf("<br><table id='fms' style='width:100%%'><tr>");

printf("<td><input type='text' id='inputField' name='starts' size=8  value='%s'
style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'>",$starts);
printf(" - <input type='text' id='inputField2' name='ends' size=8  value='%s'
style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'>",$ends);

//printf(" <select id='fstores' name='fstores' style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'>
//<option>%s</option><option>All</option>",$_REQUEST['fstores']);
//$sqlst="select distinct stores_name from agentsmrd ".$flt;
//$qry=mysqli_query($conn,$sqlst);

//while($rst=mysqli_fetch_row($qry)){
//printf("<option>%s</option>",$rst[0]);}
//printf("</select>");
printf(" <input type='submit' value='Go'  style='font-size:13;background:#CACACA;color:grey;border:1.5px solid #006699;border-radius:1pxfont-size:13;'></form>");
 
printf("<td align='right' style='color:grey;font-size:12;'>Search
<input type='text' autocomplete='off' id='srctxt' size=28 style='font-family:calibri;font-size:13;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td>
<td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr></table>");

printf("<table id='dt' style='width:100%%;color:grey;border-collapse:collapse;font-size:13;'>");
printf("<tr valign='top' style='border:1px solid silver;background:silver;color:grey;text-align:center;font-weight:bold;'>
<td style='border:1px solid white;width:7%%;'>Date</td>
<td style='border:1px solid white;width:10%%;'>Undeliver</td>
<td style='border:1px solid white;width:7%%;'>Inv-Date</td>
<td style='border:1px solid white;width:8%%;'>Invoice</td>
<td style='border:1px solid white;width:15%%;'>Agent</td>
<td style='border:1px solid white;width:15%%;'>Territory</td>
<td style='border:1px solid white;width:7%%;'>Item</td>
<td style='border:1px solid white;width:10%%;'>Driver</td>
<td style='border:1px solid white;width:6%%;'>Qty</td>
<td style='border:1px solid white;width:7%%;'>Value</td>
</tr>");


$sqlst="select dates,note_number,ref_numbers,agent_names,territory_names,item_names,driver_names,sum(box_qty),sum(box_qty*box_price),ref_dates from 
st_notes ".$flt." and dates>='".$starts."' and dates<='".$ends."' and note_types='Undelivery note' group by dates,note_number,ref_numbers,agent_names,
item_names order by note_number DESC";

$sagents="";

$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){

//$dhrf="<a href='vtprstdvshows.php?dvnumbers=".$rst[1]."&dvdates=".$rst[0]."' target='_blank'>Open</a>";
	 
printf("<tr  valign='top' style='border:1px solid silver;color:black;'><td width='8%%'>%s</td><td width='10%%'>%s</td><td width='8%%'>%s</td><td width='8%%'>%s</td>
<td width='15%%'>%s</td><td width='10%%'>%s</td><td width='24%%'>%s</td><td width='8%%'>%s</td>
<td align='right' width='5%%'>%s</td><td align='center' width='10%%'>%s</td></tr>",$rst[0],$rst[1],$rst[9],$rst[2],$rst[3],$rst[4],$rst[5],$rst[6],number_format($rst[7],0,'.',','),
number_format($rst[8],0,'.',','));
}


printf("</div>");

}

?>

</div>
</body>
</html>